/*csslint adjoining-classes:false, outline-none:false*/
/*TODO: Remove this lint rule override after a refactor of this code.*/

/* MAIN MENU STYLING */

.pure-menu {
  &.pure-menu-open {
    background: #fff;
    /* Old browsers */
    border: 1px solid #b7b7b7;
  }
  &.pure-menu-horizontal {
    li .pure-menu-children {
      background: #fff;
      /* Old browsers */
      border: 1px solid #b7b7b7;
    }
    border: none;
    .pure-menu-heading {
      border: none;
    }
  }
  a {
    border: 1px solid transparent;
    border-left: none;
    border-right: none;
    color: #777;
  }
  .pure-menu-can-have-children > li {
    &:after {
      color: #777;
    }
    &:hover:after {
      color: #fff;
    }
  }
  .pure-menu-open {
    background: #dedede;
  }
  li {
    a {
      &:hover, &:focus {
        background: #eee;
      }
    }
    &.pure-menu-disabled a {
      &:hover, &:focus {
        background: #fff;
        color: #bfbfbf;
      }
    }
  }
  .pure-menu-disabled > a {
    background-image: none;
    border-color: transparent;
    cursor: default;
    color: #bfbfbf;
  }
  .pure-menu-can-have-children.pure-menu-disabled > a:after {
    color: #bfbfbf;
  }
  .pure-menu-heading {
    color: #565d64;
    text-transform: uppercase;
    font-size: 90%;
    margin-top: 0.5em;
    border-bottom-width: 1px;
    border-bottom-style: solid;
    border-bottom-color: #dfdfdf;
  }
  .pure-menu-selected a {
    color: #000;
  }
  &.pure-menu-open.pure-menu-fixed {
    border: none;
    border-bottom: 1px solid #b7b7b7;
  }
  ul {
    position: absolute;
    visibility: hidden;
  }
  &.pure-menu-open {
    visibility: visible;
    z-index: 2;
    width: 100%;
  }
  ul {
    left: -10000px;
    list-style: none;
    margin: 0;
    padding: 0;
    top: -10000px;
    z-index: 1;
  }
  > ul {
    position: relative;
  }
}

/* remove borders for horizontal menus */

/* LINK STYLES */

/* Focus style for a dropdown menu-item when the parent has been opened */

/* DISABLED STATES */

/* HEADINGS */

/* ACTIVE MENU ITEM */

/* FIXED MENU */

.pure-menu-open > ul {
  left: 0;
  top: 0;
  visibility: visible;
  &:focus {
    outline: 0;
  }
}

.pure-menu {
  li {
    position: relative;
  }
  a, .pure-menu-heading {
    display: block;
    color: inherit;
    line-height: 1.5em;
    padding: 5px 20px;
    text-decoration: none;
    white-space: nowrap;
  }
  &.pure-menu-horizontal > {
    .pure-menu-heading {
      display: inline-block;
      *display: inline;
      zoom: 1;
      margin: 0;
      vertical-align: middle;
    }
    ul {
      display: inline-block;
      *display: inline;
      zoom: 1;
      vertical-align: middle;
    }
  }
  li a {
    padding: 5px 20px;
  }
}

.pure-menu-can-have-children > .pure-menu-label {
  &:after {
    content: '\25B8';
    float: right;
    /* These specific fonts have the Unicode char we need. */
    font-family: 'Lucida Grande', 'Lucida Sans Unicode', 'DejaVu Sans', sans-serif;
    margin-right: -20px;
    margin-top: -1px;
  }
  padding-right: 30px;
}

.pure-menu-separator {
  background-color: #dfdfdf;
  display: block;
  height: 1px;
  font-size: 0;
  margin: 7px 2px;
  overflow: hidden;
}

.pure-menu-hidden {
  display: none;
}

/* FIXED MENU */

.pure-menu-fixed {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
}

/* HORIZONTAL MENU CODE */

/* Initial menus should be inline-block so that they are horizontal */

.pure-menu-horizontal {
  li {
    display: inline-block;
    *display: inline;
    zoom: 1;
    vertical-align: middle;
    li {
      display: block;
    }
    &.pure-menu-separator {
      height: 50%;
      width: 1px;
      margin: 0 7px;
    }
    li.pure-menu-separator {
      height: 1px;
      width: auto;
      margin: 7px 2px;
    }
  }
  > .pure-menu-children > .pure-menu-can-have-children > .pure-menu-label {
    &:after {
      content: "\25BE";
    }
    padding-right: 30px;
  }
}

/* Submenus should still be display: block; */

/* Content after should be down arrow */

/*Add extra padding to elements that have the arrow so that the hover looks nice */

/* Adjusting separator for vertical menus */

/* Submenus should be horizontal separator again */